Package com.ocient.jdbc.proto

# Class PlanProtocol.IndexCountStarOperator.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderType>
com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.IndexCountStarOperator.Builder>
com.ocient.jdbc.proto.PlanProtocol.IndexCountStarOperator.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `PlanProtocol.IndexCountStarOperatorOrBuilder`, `Cloneable`

Enclosing class:
  PlanProtocol.IndexCountStarOperator

    public static final class PlanProtocol.IndexCountStarOperator.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.IndexCountStarOperator.Builder>
    implements PlanProtocol.IndexCountStarOperatorOrBuilder

    Specialized index operator for count(*)

Protobuf type `xg.db.sqlPlans.IndexCountStarOperator`

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`PlanProtocol.IndexCountStarOperator.Builder` | `addAllIndexFilters​(Iterable<? extends PlanProtocol.Disjunction> values)` | Filter conditions on the index columns
`PlanProtocol.IndexCountStarOperator.Builder` | `addAllTimeFilters​(Iterable<? extends PlanProtocol.Disjunction> values)` | Time filter disjunctions, guaranteed to be aligned
`PlanProtocol.IndexCountStarOperator.Builder` | `addIndexFilters​(int index, PlanProtocol.Disjunction value)` | Filter conditions on the index columns
`PlanProtocol.IndexCountStarOperator.Builder` | `addIndexFilters​(int index, PlanProtocol.Disjunction.Builder builderForValue)` | Filter conditions on the index columns
`PlanProtocol.IndexCountStarOperator.Builder` | `addIndexFilters​(PlanProtocol.Disjunction value)` | Filter conditions on the index columns
`PlanProtocol.IndexCountStarOperator.Builder` | `addIndexFilters​(PlanProtocol.Disjunction.Builder builderForValue)` | Filter conditions on the index columns
`PlanProtocol.Disjunction.Builder` | `addIndexFiltersBuilder()` | Filter conditions on the index columns
`PlanProtocol.Disjunction.Builder` | `addIndexFiltersBuilder​(int index)` | Filter conditions on the index columns
`PlanProtocol.IndexCountStarOperator.Builder` | `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)` |
`PlanProtocol.IndexCountStarOperator.Builder` | `addTimeFilters​(int index, PlanProtocol.Disjunction value)` | Time filter disjunctions, guaranteed to be aligned
`PlanProtocol.IndexCountStarOperator.Builder` | `addTimeFilters​(int index, PlanProtocol.Disjunction.Builder builderForValue)` | Time filter disjunctions, guaranteed to be aligned
`PlanProtocol.IndexCountStarOperator.Builder` | `addTimeFilters​(PlanProtocol.Disjunction value)` | Time filter disjunctions, guaranteed to be aligned
`PlanProtocol.IndexCountStarOperator.Builder` | `addTimeFilters​(PlanProtocol.Disjunction.Builder builderForValue)` | Time filter disjunctions, guaranteed to be aligned
`PlanProtocol.Disjunction.Builder` | `addTimeFiltersBuilder()` | Time filter disjunctions, guaranteed to be aligned
`PlanProtocol.Disjunction.Builder` | `addTimeFiltersBuilder​(int index)` | Time filter disjunctions, guaranteed to be aligned
`PlanProtocol.IndexCountStarOperator` | `build()` |
`PlanProtocol.IndexCountStarOperator` | `buildPartial()` |
`PlanProtocol.IndexCountStarOperator.Builder` | `clear()` |
`PlanProtocol.IndexCountStarOperator.Builder` | `clearDb()` | Database name - a table really needs db.schema.name to be uniquely referenced
`PlanProtocol.IndexCountStarOperator.Builder` | `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)` |
`PlanProtocol.IndexCountStarOperator.Builder` | `clearIndexFilters()` | Filter conditions on the index columns
`PlanProtocol.IndexCountStarOperator.Builder` | `clearIndexName()` | Which index?
`PlanProtocol.IndexCountStarOperator.Builder` | `clearIndexUuid()` | `string index_uuid = 8;`
`PlanProtocol.IndexCountStarOperator.Builder` | `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)` |
`PlanProtocol.IndexCountStarOperator.Builder` | `clearSchema()` | The table schema
`PlanProtocol.IndexCountStarOperator.Builder` | `clearStorageSpaceUuid()` | `string storage_space_uuid = 7;`
`PlanProtocol.IndexCountStarOperator.Builder` | `clearTableName()` | The table name
`PlanProtocol.IndexCountStarOperator.Builder` | `clearTableUuid()` | `string table_uuid = 6;`
`PlanProtocol.IndexCountStarOperator.Builder` | `clearTimeFilters()` | Time filter disjunctions, guaranteed to be aligned
`PlanProtocol.IndexCountStarOperator.Builder` | `clone()` |
`String` | `getDb()` | Database name - a table really needs db.schema.name to be uniquely referenced
`com.google.protobuf.ByteString` | `getDbBytes()` | Database name - a table really needs db.schema.name to be uniquely referenced
`PlanProtocol.IndexCountStarOperator` | `getDefaultInstanceForType()` |
`static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()` |
`com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()` |
`PlanProtocol.Disjunction` | `getIndexFilters​(int index)` | Filter conditions on the index columns
`PlanProtocol.Disjunction.Builder` | `getIndexFiltersBuilder​(int index)` | Filter conditions on the index columns
`List<PlanProtocol.Disjunction.Builder>` | `getIndexFiltersBuilderList()` | Filter conditions on the index columns
`int` | `getIndexFiltersCount()` | Filter conditions on the index columns
`List<PlanProtocol.Disjunction>` | `getIndexFiltersList()` | Filter conditions on the index columns
`PlanProtocol.DisjunctionOrBuilder` | `getIndexFiltersOrBuilder​(int index)` | Filter conditions on the index columns
`List<? extends PlanProtocol.DisjunctionOrBuilder>` | `getIndexFiltersOrBuilderList()` | Filter conditions on the index columns
`String` | `getIndexName()` | Which index?
`com.google.protobuf.ByteString` | `getIndexNameBytes()` | Which index?
`String` | `getIndexUuid()` | `string index_uuid = 8;`
`com.google.protobuf.ByteString` | `getIndexUuidBytes()` | `string index_uuid = 8;`
`String` | `getSchema()` | The table schema
`com.google.protobuf.ByteString` | `getSchemaBytes()` | The table schema
`String` | `getStorageSpaceUuid()` | `string storage_space_uuid = 7;`
`com.google.protobuf.ByteString` | `getStorageSpaceUuidBytes()` | `string storage_space_uuid = 7;`
`String` | `getTableName()` | The table name
`com.google.protobuf.ByteString` | `getTableNameBytes()` | The table name
`String` | `getTableUuid()` | `string table_uuid = 6;`
`com.google.protobuf.ByteString` | `getTableUuidBytes()` | `string table_uuid = 6;`
`PlanProtocol.Disjunction` | `getTimeFilters​(int index)` | Time filter disjunctions, guaranteed to be aligned
`PlanProtocol.Disjunction.Builder` | `getTimeFiltersBuilder​(int index)` | Time filter disjunctions, guaranteed to be aligned
`List<PlanProtocol.Disjunction.Builder>` | `getTimeFiltersBuilderList()` | Time filter disjunctions, guaranteed to be aligned
`int` | `getTimeFiltersCount()` | Time filter disjunctions, guaranteed to be aligned
`List<PlanProtocol.Disjunction>` | `getTimeFiltersList()` | Time filter disjunctions, guaranteed to be aligned
`PlanProtocol.DisjunctionOrBuilder` | `getTimeFiltersOrBuilder​(int index)` | Time filter disjunctions, guaranteed to be aligned
`List<? extends PlanProtocol.DisjunctionOrBuilder>` | `getTimeFiltersOrBuilderList()` | Time filter disjunctions, guaranteed to be aligned
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` | `internalGetFieldAccessorTable()` |
`boolean` | `isInitialized()` |
`PlanProtocol.IndexCountStarOperator.Builder` | `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`PlanProtocol.IndexCountStarOperator.Builder` | `mergeFrom​(com.google.protobuf.Message other)` |
`PlanProtocol.IndexCountStarOperator.Builder` | `mergeFrom​(PlanProtocol.IndexCountStarOperator other)` |
`PlanProtocol.IndexCountStarOperator.Builder` | `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)` |
`PlanProtocol.IndexCountStarOperator.Builder` | `removeIndexFilters​(int index)` | Filter conditions on the index columns
`PlanProtocol.IndexCountStarOperator.Builder` | `removeTimeFilters​(int index)` | Time filter disjunctions, guaranteed to be aligned
`PlanProtocol.IndexCountStarOperator.Builder` | `setDb​(String value)` | Database name - a table really needs db.schema.name to be uniquely referenced
`PlanProtocol.IndexCountStarOperator.Builder` | `setDbBytes​(com.google.protobuf.ByteString value)` | Database name - a table really needs db.schema.name to be uniquely referenced
`PlanProtocol.IndexCountStarOperator.Builder` | `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)` |
`PlanProtocol.IndexCountStarOperator.Builder` | `setIndexFilters​(int index, PlanProtocol.Disjunction value)` | Filter conditions on the index columns
`PlanProtocol.IndexCountStarOperator.Builder` | `setIndexFilters​(int index, PlanProtocol.Disjunction.Builder builderForValue)` | Filter conditions on the index columns
`PlanProtocol.IndexCountStarOperator.Builder` | `setIndexName​(String value)` | Which index?
`PlanProtocol.IndexCountStarOperator.Builder` | `setIndexNameBytes​(com.google.protobuf.ByteString value)` | Which index?
`PlanProtocol.IndexCountStarOperator.Builder` | `setIndexUuid​(String value)` | `string index_uuid = 8;`
`PlanProtocol.IndexCountStarOperator.Builder` | `setIndexUuidBytes​(com.google.protobuf.ByteString value)` | `string index_uuid = 8;`
`PlanProtocol.IndexCountStarOperator.Builder` | `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)` |
`PlanProtocol.IndexCountStarOperator.Builder` | `setSchema​(String value)` | The table schema
`PlanProtocol.IndexCountStarOperator.Builder` | `setSchemaBytes​(com.google.protobuf.ByteString value)` | The table schema
`PlanProtocol.IndexCountStarOperator.Builder` | `setStorageSpaceUuid​(String value)` | `string storage_space_uuid = 7;`
`PlanProtocol.IndexCountStarOperator.Builder` | `setStorageSpaceUuidBytes​(com.google.protobuf.ByteString value)` | `string storage_space_uuid = 7;`
`PlanProtocol.IndexCountStarOperator.Builder` | `setTableName​(String value)` | The table name
`PlanProtocol.IndexCountStarOperator.Builder` | `setTableNameBytes​(com.google.protobuf.ByteString value)` | The table name
`PlanProtocol.IndexCountStarOperator.Builder` | `setTableUuid​(String value)` | `string table_uuid = 6;`
`PlanProtocol.IndexCountStarOperator.Builder` | `setTableUuidBytes​(com.google.protobuf.ByteString value)` | `string table_uuid = 6;`
`PlanProtocol.IndexCountStarOperator.Builder` | `setTimeFilters​(int index, PlanProtocol.Disjunction value)` | Time filter disjunctions, guaranteed to be aligned
`PlanProtocol.IndexCountStarOperator.Builder` | `setTimeFilters​(int index, PlanProtocol.Disjunction.Builder builderForValue)` | Time filter disjunctions, guaranteed to be aligned
`PlanProtocol.IndexCountStarOperator.Builder` | `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)` |

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.IndexCountStarOperator.Builder>`

### clear

public PlanProtocol.IndexCountStarOperator.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.IndexCountStarOperator.Builder>`

### getDescriptorForType

public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.IndexCountStarOperator.Builder>`

### getDefaultInstanceForType

public PlanProtocol.IndexCountStarOperator getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### build

public PlanProtocol.IndexCountStarOperator build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

### buildPartial

public PlanProtocol.IndexCountStarOperator buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

### clone

public PlanProtocol.IndexCountStarOperator.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.IndexCountStarOperator.Builder>`

### setField

public PlanProtocol.IndexCountStarOperator.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.IndexCountStarOperator.Builder>`

### clearField

public PlanProtocol.IndexCountStarOperator.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.IndexCountStarOperator.Builder>`

### clearOneof

public PlanProtocol.IndexCountStarOperator.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.IndexCountStarOperator.Builder>`

### setRepeatedField

public PlanProtocol.IndexCountStarOperator.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.IndexCountStarOperator.Builder>`

### addRepeatedField

public PlanProtocol.IndexCountStarOperator.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.IndexCountStarOperator.Builder>`

### mergeFrom

public PlanProtocol.IndexCountStarOperator.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PlanProtocol.IndexCountStarOperator.Builder>`

### mergeFrom

public PlanProtocol.IndexCountStarOperator.Builder mergeFrom​(PlanProtocol.IndexCountStarOperator other)

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.IndexCountStarOperator.Builder>`

### mergeFrom

public PlanProtocol.IndexCountStarOperator.Builder mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PlanProtocol.IndexCountStarOperator.Builder>`
Throws:
  `IOException`

### getSchema

public String getSchema()

    The table schema

`string schema = 1;`

Specified by:
  `getSchema` in interface `PlanProtocol.IndexCountStarOperatorOrBuilder`

### getSchemaBytes

public com.google.protobuf.ByteString getSchemaBytes()

    The table schema

`string schema = 1;`

Specified by:
  `getSchemaBytes` in interface `PlanProtocol.IndexCountStarOperatorOrBuilder`

### setSchema

public PlanProtocol.IndexCountStarOperator.Builder setSchema​(String value)

    The table schema

`string schema = 1;`

### clearSchema

public PlanProtocol.IndexCountStarOperator.Builder clearSchema()

    The table schema

`string schema = 1;`

### setSchemaBytes

public PlanProtocol.IndexCountStarOperator.Builder setSchemaBytes​(com.google.protobuf.ByteString value)

    The table schema

`string schema = 1;`

### getTableName

public String getTableName()

    The table name

`string tableName = 2;`

Specified by:
  `getTableName` in interface `PlanProtocol.IndexCountStarOperatorOrBuilder`

### getTableNameBytes

public com.google.protobuf.ByteString getTableNameBytes()

    The table name

`string tableName = 2;`

Specified by:
  `getTableNameBytes` in interface `PlanProtocol.IndexCountStarOperatorOrBuilder`

### setTableName

public PlanProtocol.IndexCountStarOperator.Builder setTableName​(String value)

    The table name

`string tableName = 2;`

### clearTableName

public PlanProtocol.IndexCountStarOperator.Builder clearTableName()

    The table name

`string tableName = 2;`

### setTableNameBytes

public PlanProtocol.IndexCountStarOperator.Builder setTableNameBytes​(com.google.protobuf.ByteString value)

    The table name

`string tableName = 2;`

### getIndexName

public String getIndexName()

    Which index?

`string indexName = 3;`

Specified by:
  `getIndexName` in interface `PlanProtocol.IndexCountStarOperatorOrBuilder`

### getIndexNameBytes

public com.google.protobuf.ByteString getIndexNameBytes()

    Which index?

`string indexName = 3;`

Specified by:
  `getIndexNameBytes` in interface `PlanProtocol.IndexCountStarOperatorOrBuilder`

### setIndexName

public PlanProtocol.IndexCountStarOperator.Builder setIndexName​(String value)

    Which index?

`string indexName = 3;`

### clearIndexName

public PlanProtocol.IndexCountStarOperator.Builder clearIndexName()

    Which index?

`string indexName = 3;`

### setIndexNameBytes

public PlanProtocol.IndexCountStarOperator.Builder setIndexNameBytes​(com.google.protobuf.ByteString value)

    Which index?

`string indexName = 3;`

### getIndexFiltersList

public List<PlanProtocol.Disjunction> getIndexFiltersList()

    Filter conditions on the index columns

`repeated .xg.db.sqlPlans.Disjunction index_filters = 4;`

Specified by:
  `getIndexFiltersList` in interface `PlanProtocol.IndexCountStarOperatorOrBuilder`

### getIndexFiltersCount

public int getIndexFiltersCount()

    Filter conditions on the index columns

`repeated .xg.db.sqlPlans.Disjunction index_filters = 4;`

Specified by:
  `getIndexFiltersCount` in interface `PlanProtocol.IndexCountStarOperatorOrBuilder`

### getIndexFilters

public PlanProtocol.Disjunction getIndexFilters​(int index)

    Filter conditions on the index columns

`repeated .xg.db.sqlPlans.Disjunction index_filters = 4;`

Specified by:
  `getIndexFilters` in interface `PlanProtocol.IndexCountStarOperatorOrBuilder`

### setIndexFilters

public PlanProtocol.IndexCountStarOperator.Builder setIndexFilters​(int index, PlanProtocol.Disjunction value)

    Filter conditions on the index columns

`repeated .xg.db.sqlPlans.Disjunction index_filters = 4;`

### setIndexFilters

public PlanProtocol.IndexCountStarOperator.Builder setIndexFilters​(int index, PlanProtocol.Disjunction.Builder builderForValue)

    Filter conditions on the index columns

`repeated .xg.db.sqlPlans.Disjunction index_filters = 4;`

### addIndexFilters

public PlanProtocol.IndexCountStarOperator.Builder addIndexFilters​(PlanProtocol.Disjunction value)

    Filter conditions on the index columns

`repeated .xg.db.sqlPlans.Disjunction index_filters = 4;`

### addIndexFilters

public PlanProtocol.IndexCountStarOperator.Builder addIndexFilters​(int index, PlanProtocol.Disjunction value)

    Filter conditions on the index columns

`repeated .xg.db.sqlPlans.Disjunction index_filters = 4;`

### addIndexFilters

public PlanProtocol.IndexCountStarOperator.Builder addIndexFilters​(PlanProtocol.Disjunction.Builder builderForValue)

    Filter conditions on the index columns

`repeated .xg.db.sqlPlans.Disjunction index_filters = 4;`

### addIndexFilters

public PlanProtocol.IndexCountStarOperator.Builder addIndexFilters​(int index, PlanProtocol.Disjunction.Builder builderForValue)

    Filter conditions on the index columns

`repeated .xg.db.sqlPlans.Disjunction index_filters = 4;`

### addAllIndexFilters

public PlanProtocol.IndexCountStarOperator.Builder addAllIndexFilters​(Iterable<? extends PlanProtocol.Disjunction> values)

    Filter conditions on the index columns

`repeated .xg.db.sqlPlans.Disjunction index_filters = 4;`

### clearIndexFilters

public PlanProtocol.IndexCountStarOperator.Builder clearIndexFilters()

    Filter conditions on the index columns

`repeated .xg.db.sqlPlans.Disjunction index_filters = 4;`

### removeIndexFilters

public PlanProtocol.IndexCountStarOperator.Builder removeIndexFilters​(int index)

    Filter conditions on the index columns

`repeated .xg.db.sqlPlans.Disjunction index_filters = 4;`

### getIndexFiltersBuilder

public PlanProtocol.Disjunction.Builder getIndexFiltersBuilder​(int index)

    Filter conditions on the index columns

`repeated .xg.db.sqlPlans.Disjunction index_filters = 4;`

### getIndexFiltersOrBuilder

public PlanProtocol.DisjunctionOrBuilder getIndexFiltersOrBuilder​(int index)

    Filter conditions on the index columns

`repeated .xg.db.sqlPlans.Disjunction index_filters = 4;`

Specified by:
  `getIndexFiltersOrBuilder` in interface `PlanProtocol.IndexCountStarOperatorOrBuilder`

### getIndexFiltersOrBuilderList

public List<? extends PlanProtocol.DisjunctionOrBuilder> getIndexFiltersOrBuilderList()

    Filter conditions on the index columns

`repeated .xg.db.sqlPlans.Disjunction index_filters = 4;`

Specified by:
  `getIndexFiltersOrBuilderList` in interface `PlanProtocol.IndexCountStarOperatorOrBuilder`

### addIndexFiltersBuilder

public PlanProtocol.Disjunction.Builder addIndexFiltersBuilder()

    Filter conditions on the index columns

`repeated .xg.db.sqlPlans.Disjunction index_filters = 4;`

### addIndexFiltersBuilder

public PlanProtocol.Disjunction.Builder addIndexFiltersBuilder​(int index)

    Filter conditions on the index columns

`repeated .xg.db.sqlPlans.Disjunction index_filters = 4;`

### getIndexFiltersBuilderList

public List<PlanProtocol.Disjunction.Builder> getIndexFiltersBuilderList()

    Filter conditions on the index columns

`repeated .xg.db.sqlPlans.Disjunction index_filters = 4;`

### getDb

public String getDb()

    Database name - a table really needs db.schema.name to be uniquely referenced

`string db = 5;`

Specified by:
  `getDb` in interface `PlanProtocol.IndexCountStarOperatorOrBuilder`

### getDbBytes

public com.google.protobuf.ByteString getDbBytes()

    Database name - a table really needs db.schema.name to be uniquely referenced

`string db = 5;`

Specified by:
  `getDbBytes` in interface `PlanProtocol.IndexCountStarOperatorOrBuilder`

### setDb

public PlanProtocol.IndexCountStarOperator.Builder setDb​(String value)

    Database name - a table really needs db.schema.name to be uniquely referenced

`string db = 5;`

### clearDb

public PlanProtocol.IndexCountStarOperator.Builder clearDb()

    Database name - a table really needs db.schema.name to be uniquely referenced

`string db = 5;`

### setDbBytes

public PlanProtocol.IndexCountStarOperator.Builder setDbBytes​(com.google.protobuf.ByteString value)

    Database name - a table really needs db.schema.name to be uniquely referenced

`string db = 5;`

### getTableUuid

public String getTableUuid()
`string table_uuid = 6;`

Specified by:
  `getTableUuid` in interface `PlanProtocol.IndexCountStarOperatorOrBuilder`

### getTableUuidBytes

public com.google.protobuf.ByteString getTableUuidBytes()
`string table_uuid = 6;`

Specified by:
  `getTableUuidBytes` in interface `PlanProtocol.IndexCountStarOperatorOrBuilder`

### setTableUuid

public PlanProtocol.IndexCountStarOperator.Builder setTableUuid​(String value)
`string table_uuid = 6;`

### clearTableUuid

public PlanProtocol.IndexCountStarOperator.Builder clearTableUuid()
`string table_uuid = 6;`

### setTableUuidBytes

public PlanProtocol.IndexCountStarOperator.Builder setTableUuidBytes​(com.google.protobuf.ByteString value)
`string table_uuid = 6;`

### getStorageSpaceUuid

public String getStorageSpaceUuid()
`string storage_space_uuid = 7;`

Specified by:
  `getStorageSpaceUuid` in interface `PlanProtocol.IndexCountStarOperatorOrBuilder`

### getStorageSpaceUuidBytes

public com.google.protobuf.ByteString getStorageSpaceUuidBytes()
`string storage_space_uuid = 7;`

Specified by:
  `getStorageSpaceUuidBytes` in interface `PlanProtocol.IndexCountStarOperatorOrBuilder`

### setStorageSpaceUuid

public PlanProtocol.IndexCountStarOperator.Builder setStorageSpaceUuid​(String value)
`string storage_space_uuid = 7;`

### clearStorageSpaceUuid

public PlanProtocol.IndexCountStarOperator.Builder clearStorageSpaceUuid()
`string storage_space_uuid = 7;`

### setStorageSpaceUuidBytes

public PlanProtocol.IndexCountStarOperator.Builder setStorageSpaceUuidBytes​(com.google.protobuf.ByteString value)
`string storage_space_uuid = 7;`

### getIndexUuid

public String getIndexUuid()
`string index_uuid = 8;`

Specified by:
  `getIndexUuid` in interface `PlanProtocol.IndexCountStarOperatorOrBuilder`

### getIndexUuidBytes

public com.google.protobuf.ByteString getIndexUuidBytes()
`string index_uuid = 8;`

Specified by:
  `getIndexUuidBytes` in interface `PlanProtocol.IndexCountStarOperatorOrBuilder`

### setIndexUuid

public PlanProtocol.IndexCountStarOperator.Builder setIndexUuid​(String value)
`string index_uuid = 8;`

### clearIndexUuid

public PlanProtocol.IndexCountStarOperator.Builder clearIndexUuid()
`string index_uuid = 8;`

### setIndexUuidBytes

public PlanProtocol.IndexCountStarOperator.Builder setIndexUuidBytes​(com.google.protobuf.ByteString value)
`string index_uuid = 8;`

### getTimeFiltersList

public List<PlanProtocol.Disjunction> getTimeFiltersList()

    Time filter disjunctions, guaranteed to be aligned

`repeated .xg.db.sqlPlans.Disjunction time_filters = 9;`

Specified by:
  `getTimeFiltersList` in interface `PlanProtocol.IndexCountStarOperatorOrBuilder`

### getTimeFiltersCount

public int getTimeFiltersCount()

    Time filter disjunctions, guaranteed to be aligned

`repeated .xg.db.sqlPlans.Disjunction time_filters = 9;`

Specified by:
  `getTimeFiltersCount` in interface `PlanProtocol.IndexCountStarOperatorOrBuilder`

### getTimeFilters

public PlanProtocol.Disjunction getTimeFilters​(int index)

    Time filter disjunctions, guaranteed to be aligned

`repeated .xg.db.sqlPlans.Disjunction time_filters = 9;`

Specified by:
  `getTimeFilters` in interface `PlanProtocol.IndexCountStarOperatorOrBuilder`

### setTimeFilters

public PlanProtocol.IndexCountStarOperator.Builder setTimeFilters​(int index, PlanProtocol.Disjunction value)

    Time filter disjunctions, guaranteed to be aligned

`repeated .xg.db.sqlPlans.Disjunction time_filters = 9;`

### setTimeFilters

public PlanProtocol.IndexCountStarOperator.Builder setTimeFilters​(int index, PlanProtocol.Disjunction.Builder builderForValue)

    Time filter disjunctions, guaranteed to be aligned

`repeated .xg.db.sqlPlans.Disjunction time_filters = 9;`

### addTimeFilters

public PlanProtocol.IndexCountStarOperator.Builder addTimeFilters​(PlanProtocol.Disjunction value)

    Time filter disjunctions, guaranteed to be aligned

`repeated .xg.db.sqlPlans.Disjunction time_filters = 9;`

### addTimeFilters

public PlanProtocol.IndexCountStarOperator.Builder addTimeFilters​(int index, PlanProtocol.Disjunction value)

    Time filter disjunctions, guaranteed to be aligned

`repeated .xg.db.sqlPlans.Disjunction time_filters = 9;`

### addTimeFilters

public PlanProtocol.IndexCountStarOperator.Builder addTimeFilters​(PlanProtocol.Disjunction.Builder builderForValue)

    Time filter disjunctions, guaranteed to be aligned

`repeated .xg.db.sqlPlans.Disjunction time_filters = 9;`

### addTimeFilters

public PlanProtocol.IndexCountStarOperator.Builder addTimeFilters​(int index, PlanProtocol.Disjunction.Builder builderForValue)

    Time filter disjunctions, guaranteed to be aligned

`repeated .xg.db.sqlPlans.Disjunction time_filters = 9;`

### addAllTimeFilters

public PlanProtocol.IndexCountStarOperator.Builder addAllTimeFilters​(Iterable<? extends PlanProtocol.Disjunction> values)

    Time filter disjunctions, guaranteed to be aligned

`repeated .xg.db.sqlPlans.Disjunction time_filters = 9;`

### clearTimeFilters

public PlanProtocol.IndexCountStarOperator.Builder clearTimeFilters()

    Time filter disjunctions, guaranteed to be aligned

`repeated .xg.db.sqlPlans.Disjunction time_filters = 9;`

### removeTimeFilters

public PlanProtocol.IndexCountStarOperator.Builder removeTimeFilters​(int index)

    Time filter disjunctions, guaranteed to be aligned

`repeated .xg.db.sqlPlans.Disjunction time_filters = 9;`

### getTimeFiltersBuilder

public PlanProtocol.Disjunction.Builder getTimeFiltersBuilder​(int index)

    Time filter disjunctions, guaranteed to be aligned

`repeated .xg.db.sqlPlans.Disjunction time_filters = 9;`

### getTimeFiltersOrBuilder

public PlanProtocol.DisjunctionOrBuilder getTimeFiltersOrBuilder​(int index)

    Time filter disjunctions, guaranteed to be aligned

`repeated .xg.db.sqlPlans.Disjunction time_filters = 9;`

Specified by:
  `getTimeFiltersOrBuilder` in interface `PlanProtocol.IndexCountStarOperatorOrBuilder`

### getTimeFiltersOrBuilderList

public List<? extends PlanProtocol.DisjunctionOrBuilder> getTimeFiltersOrBuilderList()

    Time filter disjunctions, guaranteed to be aligned

`repeated .xg.db.sqlPlans.Disjunction time_filters = 9;`

Specified by:
  `getTimeFiltersOrBuilderList` in interface `PlanProtocol.IndexCountStarOperatorOrBuilder`

### addTimeFiltersBuilder

public PlanProtocol.Disjunction.Builder addTimeFiltersBuilder()

    Time filter disjunctions, guaranteed to be aligned

`repeated .xg.db.sqlPlans.Disjunction time_filters = 9;`

### addTimeFiltersBuilder

public PlanProtocol.Disjunction.Builder addTimeFiltersBuilder​(int index)

    Time filter disjunctions, guaranteed to be aligned

`repeated .xg.db.sqlPlans.Disjunction time_filters = 9;`

### getTimeFiltersBuilderList

public List<PlanProtocol.Disjunction.Builder> getTimeFiltersBuilderList()

    Time filter disjunctions, guaranteed to be aligned

`repeated .xg.db.sqlPlans.Disjunction time_filters = 9;`

### setUnknownFields

public final PlanProtocol.IndexCountStarOperator.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.IndexCountStarOperator.Builder>`

### mergeUnknownFields

public final PlanProtocol.IndexCountStarOperator.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.IndexCountStarOperator.Builder>`